Only returns the video subtitles array in detail
curl --request GET \
--url https://api.bibigpt.co/api/v1/getSubtitle \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bibigpt.co/api/v1/getSubtitle"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bibigpt.co/api/v1/getSubtitle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"id": "<string>",
"service": "<string>",
"sourceUrl": "<string>",
"htmlUrl": "<string>",
"costDuration": 123,
"remainingTime": 123,
"summary": "<string>",
"billingNote": "<string>",
"detail": {
"id": "<string>",
"url": "<string>",
"title": "<string>",
"duration": 123,
"summary": "<string>",
"dbId": "<string>",
"embedId": "<string>",
"pageId": "<string>",
"rawLang": "<string>",
"translationUrls": [
{
"code": "<string>",
"url": "<string>"
}
],
"audioUrl": "<string>",
"playUrl": "<string>",
"cover": "<string>",
"author": "<string>",
"authorId": "<string>",
"publishedDate": "<unknown>",
"subtitlesArray": [
{
"startTime": 123,
"end": 123,
"text": "<string>",
"index": 123,
"words": [
{
"start": 123,
"end": 123,
"text": "<string>",
"punctuation": "<string>"
}
],
"speaker_id": 123,
"_isGrouped": true,
"_originalSubtitles": [
"<unknown>"
]
}
],
"descriptionText": "<string>",
"contentText": "<string>",
"aiImages": [
{
"startTime": 123,
"endTime": 123,
"prompt": "<string>",
"image": "<string>"
}
],
"chapters": [
{
"from": 123,
"to": 123,
"content": "<string>",
"type": 123,
"imgUrl": "<string>"
}
],
"local_path": "<string>",
"status": "<string>",
"isPaid": true,
"isPreviewOnly": true
}
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}open
Only returns the video subtitles array in detail
GET
/
v1
/
getSubtitle
Only returns the video subtitles array in detail
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
此页面对您有帮助吗?
⌘I
